/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/* ------------------------------------- */
/* Main Landing Page CSS Start */
/* ------------------------------------- */
.mobile--menu {
	display: none !important;
}
.wp-block-navigation .has-child .wp-block-navigation__submenu-container { 
	padding: 14px 5px;
}
.wp-block-navigation .has-child .wp-block-navigation__submenu-container>.wp-block-navigation-item>.wp-block-navigation-item__content { 
	padding: 5px 10px;
}
.wp-block-navigation .wp-block-navigation-item__label {
    font-weight: 600;
    line-height: 26px;
	transition: 0.3s ease;
}
.wp-block-navigation .wp-block-navigation-item__label:hover {
	color: var(--contrast);
}
.wp-block-navigation-submenu .wp-block-navigation__submenu-icon svg {
    width: 16px !important;
    height: 16px !important;
    margin-top: -2px !important;
    margin-left: 2px;
}
body.home header.site-header, body.home footer.site-info {
    display: none;
}
ul.wp-block-navigation__submenu-container.has-text-color.has-contrast-3-color.wp-block-navigation-submenu {
    color: #000;
}
ul.wp-block-navigation__container.has-text-color.has-contrast-2-color.is-responsive.wp-block-navigation {
    gap: 20px;
}
ul.hero-content-list-block {
    list-style: none;
    margin: 0;
    display: flex;
    flex-wrap: wrap;
    gap: 24px;
}
ul.hero-content-list-block li:nth-child(even) {
    width: calc(41% - 12px);
}
ul.hero-content-list-block li:nth-child(odd) {
    width: calc(59% - 12px);
}
ul.hero-content-list-block li {
    padding-left: 34px;
    background: url(/wp-content/uploads/2026/02/check-mark.svg);
    background-repeat: no-repeat;
    background-position: 0 4px;
}
ul.hero-content-list-block.Balcony-inspection-list-block {
	gap: 20px 39px;
}
ul.hero-content-list-block.Balcony-inspection-list-block li {
	width: calc(33.33% - 26px);
	font-size: 18px;
	line-height: 26px;
}
ul.hero-content-list-block.vent-install-list-block li,
ul.hero-content-list-block.fire-rated-list-block li {
    width: 100%;
    font-size: 18px;
}
ul.hero-content-list-block.vent-install-list-block {
	gap: 10px;
} 
ul.hero-content-list-block.fire-rated-list-block {
	gap: 30px;
} 
ul.hero-content-list-block.vent-feature-list-block li strong,
ul.hero-content-list-block.fire-rated-list-block li strong { 
    font-size: 20px;
}
ul.hero-content-list-block.vent-feature-list-block li,
ul.hero-content-list-block.vent-feature-list-block li strong,
ul.hero-content-list-block.fire-rated-list-block li,
ul.hero-content-list-block.fire-rated-list-block li strong {
	line-height: 26px;
}
ul.hero-content-list-block.vent-feature-list-block li  {
	background: url(/wp-content/uploads/2026/02/Black-Check.svg);
	background-repeat: no-repeat;
	width: 100%;
	font-size: 18px;
} 
.gb-accordion.balcony-faq-accordian .gb-accordion__toggle span.gb-accordion__toggle-icon {
    margin-top: 6px;
}
.gb-accordion.balcony-faq-accordian .gb-accordion__item.gb-accordion__item-open .gb-accordion__toggle .gb-text,
.gb-accordion.balcony-faq-accordian .gb-accordion__item.gb-accordion__item-open .gb-accordion__toggle-icon svg,
.gb-accordion.balcony-faq-accordian .gb-accordion__toggle:hover span.gb-accordion__toggle-icon  {
	color: #1A2A88;
}
.custom-btn span.gb-shape svg {
    width: auto !important;
    height: auto !important;
    fill: #0000 !important;
}
.choose-vent-box {
	transition: transform 0.3s ease, background-color 0.3s ease;
}
.choose-vent-box:hover {
    background: #1A2A88;
    color: #FFF;
}
.choose-vent-box:hover p.gb-text  {
	color: #FFF;
}
.choose-vent-box .choose-vent-btn {
    transition: transform 0.4s ease, background-color 0.4s ease;
    transform: translateY(0);
}
.choose-vent-box:hover .choose-vent-btn {
    background-color: var(--contrast-3);
    transform: translateY(20px);
}
.choose-vent-box .choose-vent-img {
	transition: transform 0.4s ease, background-color 0.4s ease;
	transform: translateY(0);
}
.choose-vent-box:hover .choose-vent-img { 
	transform: translateY(-10px);
}
.sec--footer a {
	text-decoration: none;
}
.sec--footer a:hover {
	color: #FFF;
} 
.performance-img-animation {
	position: relative;
}
.performance-img-animation img {
    border-radius: 50%;
    position: relative;
	z-index: 0;
	object-fit: cover;
	object-position: center;
}
.performance-img-animation:before {
    content: "";
    position: absolute;
    left: 15px;
    top: -9px;
    width: 100px;
    height: 100px;
	border: 11px solid var(--contrast);
    border-radius: 50%;
    z-index: 2;
} 
.performance-img-animation:after {
    content: "";
    position: absolute;
    top: -9px;
    left: 15px;
    width: 100px;
    height: 100px;
    border-radius: 50%;
    animation: borderPulse 2s ease-in-out infinite;
    -webkit-animation: borderPulse 2s ease-in-out infinite;
    z-index: 1;
}
@keyframes borderPulse { 0% { box-shadow: 0 0 0 0 #FFF; } 25% { box-shadow: 0 0 0 11px #FFF; } 50% { box-shadow: 0 0 0 0 #FFF; } 100% { box-shadow: 0 0 0 0 #FFF; /* pause state */ } }
[class*="performance-step-"] {
    position: relative;
}
[class*="performance-step-"]::before {
    content: "";
    position: absolute;
    width: 13px;
    height: 13px;
    background: #ffffff;
    border-radius: 50%;
    z-index: 5;
}
[class*="performance-step-"]::after {
    content: "";
    position: absolute;
    height: 3px;
    background: #ffffff;
    z-index: 4;
} 
.performance-step-1::after {
    right: -194px;
    top: 107px;
    width: 200px;
    transform: rotate(33deg);
}
.performance-step-1::before {
    top: 157px;
    right: -187px;
}
.performance-step-2::after {
    right: -263px;
    top: 148px;
    width: 295px;
    transform: rotate(43deg);
}
.performance-step-2::before {
    top: 241px;
    right: -226px;
}
.performance-step-3::after {
    right: -112px;
    top: 32px;
    width: 108px;
    transform: rotate(-21deg);
}
.performance-step-3::before {
    top: 8px;
    right: -112px;
}
.performance-step-4::after {
    right: -171px;
    top: -6px;
    width: 175px;
    transform: rotate(-30deg);
}
.performance-step-4::before {
    top: -56px;
    right: -168px;
}
.performance-step-5::after {
    left: -206px;
    top: 108px;
    width: 210px;
    transform: rotate(-29deg);
}
.performance-step-5::before {
    top: 153px;
    left: -200px;
}
.performance-step-6::after {
    left: -152px;
    top: 32px;
    width: 143px;
    transform: rotate(5deg);
}
.performance-step-6::before {
    top: 20.5px;
    left: -159px;
}
.performance-step-7::after {
    left: -144px;
    top: -2px;
    width: 143px;
    transform: rotate(27deg);
}
.performance-step-7::before {
    top: -41px;
    left: -145px;
}  
.performance-step-8::after {
    left: -223px;
    top: -77px;
    width: 242px;
    transform: rotate(43deg);
}
.performance-step-8::before {
    top: -168px;
    left: -200px;
} 
.performance-center-imgbox img {
   transition: transform 0.4s ease;
}
.performance-center-imgbox:hover img {
    transform: scale(1.05) translate3d(2.3%,2.6%,0px);
}
.right-vent-img {
    text-align: right;
}
.performance-con-box {
    width: calc( 100% - 151px ) !important;
}
 

/* Header bar */
#flange-styles-section .table-header-bar {
	display: flex;
	justify-content: space-between;
	align-items: flex-end;
	margin-bottom: 18px; 
} 

/* Table */
section#flange-styles-section, section#flange-styles-section table {
    font-family: "Lexend Deca", sans-serif;
}
#flange-styles-section .left-label {
    color: #1A2A88;
    font-weight: 600;
    display: block;
    margin-bottom: 9px;
    line-height: 1;
}
#flange-styles-section .radio-group {
    display: flex;
    gap: 10px 15px;
    font-weight: 400;
    color: #231F20;
    font-size: 22px;
    align-items: center;
    flex-wrap: wrap;
}
#flange-styles-section .radio-group label {
    cursor: pointer;
    display: flex;
    gap: 7px;
    align-items: center;
	line-height: 1;
}
#flange-styles-section .radio-group input[type="radio"] {
	accent-color: #1f4f8d;
}
#flange-styles-section .right-label {
    text-align: right;
    color: #1A2A88;
}
#flange-styles-section .right-label span {
	font-weight: 600;
	display: block;
}
#flange-styles-section .right-label span:last-child {
	color: #000000;
	font-size: 20px;
	font-weight: 400;
}
#flange-styles-section table {
    width: 100%;
    border-collapse: collapse; 
    text-transform: uppercase;
	color:#231F20;
	border: none;
	overflow-x: auto;
	display: block;
	margin-bottom: 0;
}
#flange-styles-section thead {
	background-color: #D9D9D9;
	color: #231F20;
	text-transform: uppercase;
	font-size: 16px;
}
#flange-styles-section thead th {
    padding: 10px;
    text-align: left;
    vertical-align: middle;
    border: none;
    font-weight: 400 !important;
    color: #231F20;
}
#flange-styles-section thead th span {
    font-size: 12px;
    color: #1A2A88;
    display: block;
}
#flange-styles-section td {
	padding: 8px 10px; 
	text-align: left;
	vertical-align: middle;
	border: none;
	font-weight: 400;
} 
#flange-styles-section th:nth-child(6),
#flange-styles-section td:nth-child(6),
#flange-styles-section th:nth-child(7),
#flange-styles-section td:nth-child(7) { 
	text-align: center;
}
#flange-styles-section .icon { 
	cursor: pointer;
	transition: transform 0.2s ease;
}
#flange-styles-section .icon:hover {
	transform: scale(1.1);
} 
.sample-modal {
	display:none;
	position:fixed;
	z-index:9999;
	left:0;
	top:0;
	width:100%;
	height:100%;
	background:rgba(0,0,0,0.7); 
	align-items:center;
	justify-content:center;
	padding:20px;
	box-sizing:border-box;
}
.sample-modal.active{
	display:flex;
}
.sample-modal-content {
    position: relative;
    background: #fff;
    padding: 40px;
    width: 90%;
    max-width: 800px;
    max-height: 90vh;
    overflow-y: auto;
    border-radius: 16px;
}
.sample-modal-content img {
    height: auto;
    display: block;
    max-height: 500px;
    width: auto;
    margin: 0 auto;
}
.sample-close {
	position:absolute;
	top:10px;
	right:15px;
	font-size:30px;
	cursor:pointer;
	font-weight:bold;
}


@media (min-width: 1199px) and (max-width: 1399px)  {
	.choose-vent-box .choose-vent-level-text {
		font-size: 62px; 
	}
}

@media (min-width: 1024px) and (max-width: 1199px) {
    .choose-vent-box {
        padding-left: 30px !important;
        padding-right: 30px !important;
    }
	.choose-vent-box .choose-vent-level-text {
		font-size: 60px;
		margin-top: 30px;
	}
}

@media (max-width: 1024px)  {
	ul.hero-content-list-block.Balcony-inspection-list-block {
		gap: 20px 25px;
	}
	ul.hero-content-list-block.Balcony-inspection-list-block li { 
		width: calc(50% - 13px);
	}
	[class*="performance-step-"]::after , [class*="performance-step-"]::before {
		content: none;
	}
	.right-vent-img {
		text-align: left;
	}
	ul.hero-content-list-block li:nth-child(odd), ul.hero-content-list-block li:nth-child(even) {
		width: 100%;
	}
	ul.hero-content-list-block { 
		gap: 10px;
		font-size: 16px !important;
	}
	#flange-styles-section .radio-group { 
		font-size: 18px; 
	}
	#flange-styles-section .right-label span:last-child { 
		font-size: 18px; 
	}
	#flange-styles-section td:nth-child(7) svg {
		width: 36px;
	}
	.header-btn span.gb-text {
		font-size: 15px;
	}
	.header-btn span.gb-shape svg {
		width: 24px !important;
		margin-left: 6px;
		position: relative;
		top: -2px;
	}
}

@media (max-width: 768px)  {
	.Tablet-width-100 {
		flex-direction: column !important;
	} 
	.Tablet-col-100 {
		width: 100% !important;
	} 
}

@media (max-width: 767px)  {
	.mobile--menu {
		display: block !important;
	}
	.Desktop--menu {
		display: none !important;
	}
	.wp-block-navigation .has-child .wp-block-navigation__submenu-container { 
		padding: 14px 0 0;
	}
	.wp-block-navigation__responsive-container-open.wp-block-navigation__responsive-container-open.wp-block-navigation__responsive-container-open { 
		background: #0000 !important;
	}
	.wp-block-navigation__responsive-container-close { 
		right: 10px !important; 
	}
	.wp-block-navigation__responsive-container-content {
		padding-left: 20px;
		padding-right: 20px;
	}
	.wp-block-navigation .has-child .wp-block-navigation__submenu-container { 
		padding-top: 10px !important; 
	}
	.wp-block-navigation-submenu li.wp-block-navigation-item  {
		padding-bottom: 0 !important;
	}
	li.wp-block-navigation-item {
		padding-bottom: 15px !important;
	}
	ul.hero-content-list-block li:nth-child(odd),
	ul.hero-content-list-block li:nth-child(even),
	ul.hero-content-list-block.Balcony-inspection-list-block li { 
		width: 100%;
	}
	ul.hero-content-list-block,
	ul.hero-content-list-block.Balcony-inspection-list-block {
		gap: 15px;
	}
	ul.hero-content-list-block li {
		font-size: 16px;
	}
	#flange-styles-section .table-header-bar {
		flex-direction: column;
		align-items: flex-start;
		gap: 8px;
	}
	#flange-styles-section .right-label span {
		display: inline;
	} 
	#flange-styles-section td:nth-child(7) svg {
		width: 30px;
	}
	#flange-styles-section td:nth-child(6) svg {
		width: 20px;
	}
	#flange-styles-section .right-label span:last-child {
		font-size: 16px;
	}
	#flange-styles-section .radio-group {
		font-size: 16px;
		margin-bottom: 5px;
	}
	#flange-styles-section th,
	#flange-styles-section td { 
		font-size: 15px;
	}
	#flange-styles-section td {
		padding: 8px 8px; 
	}
	#flange-styles-section thead th {
		padding: 10px 8px; 
	}
	#flange-styles-section .right-label {
		text-align: left; 
	}
}

@media (max-width: 575px) {
	[class*="performance-step-"] { 
		gap: 15px !important;
	}
	.performance-con-box {
		width: calc( 100% - 145px ) !important;
	}
}
/* ------------------------------------- */
/* Main Landing Page CSS End */
/* ------------------------------------- */

